<template>
  <PageLayout v-bind="props">
    <template #navigationBar>
      <TransparentNavigationBar :title="title" :is-absolute="false"></TransparentNavigationBar>
    </template>
    <template #default>
      <img :src="IconBg" class="common-page-bg" />
      <slot />
    </template>
  </PageLayout>
</template>

<script setup lang="ts">
import PageLayout from './PageLayout.vue';
import IconBg from '@/assets/components/icon-page-bg.png';
import TransparentNavigationBar from '../NavigationBar/TransparentNavigationBar.vue';

defineOptions({
  name: 'PageLayoutWithBg',
});

type Props = {
  title?: string;
};

const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.common-page-bg {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  object-fit: cover;
}
</style>
